<!doctype html>
<html>
<head>
  <meta charset="utf-8">
  <title>REAPER Recording Monitor</title>
  <!-- Code is based on Reaper's Plugins/reaper_www_root/index.html-->
  <style type="text/css">
    body {
      background-color: #333333;
      color: #A9ABAB;
      font-family: 'Open Sans', sans-serif;
      font-size: 23px;
      overflow: hidden;
    }

    .transportdiv {
      /*max-width:358px;*/
      margin-left: auto;
      margin-right: auto;
      text-align: center;
    }

    .btab {
      width: 100%;
    }


    table, th, td {
      border: 0px;
      border-collapse: collapse;
    }

    #status {
      height: 45px;
      display: table-cell;
      text-align: center;
      vertical-align: middle;
      color: #828282;
      font-size: 50px;
      font-weight: bolder;
    }


    .Graphic_x0020_Style_x0020_4 {
      opacity: 0.05;
      fill: url(#SVGID_1_);
    }

    .record_fill {
      fill: #2f4fc5;
    }

    .black_border {
      fill: #1A1A1A;
    }

    .record_gloss {
      opacity: 0.15;
      fill: url(#SVGID_2_);
    }

    .record_icon {
      opacity: 0.5;
      fill: none;
      stroke: #FFFFFF;
      stroke-width: 22;
      stroke-miterlimit: 10;
    }

    .shadow {
      fill: #262626;
    }

    .mouseover {
      opacity: 0;
      fill: #FFFFFF;
      stroke: black;
      stroke-width: 2;
    }

    #button-record:active #record-shadow {
      fill: none;
    }
  </style>

  <script src="main.js"></script>

  <script type="text/javascript">


      var last_transport_state = -1, last_out_states = [-1, -1], last_time_str = "",
          last_titles = [], last_flags = [], last_vols = [], last_pans = [],
          last_metronome = false, last_track_cnt = 0,
          g_inspect_tridx = -1, last_repeat = false;

      var minvol = -100, maxvol = 24;

      function setTextForObject(obj, text) { // thx cfillion
          if (obj.lastChild) obj.lastChild.nodeValue = text;
          else obj.appendChild(document.createTextNode(text));
      }


      function wwr_onreply(results) {
          var ar = results.split("\n");
          for (var x = 0; x < ar.length; x++) {
              var tok = ar[x].split("\t");
              if (tok.length > 0) switch (tok[0]) {
                  case "TRANSPORT":
                      if (tok.length > 4) {
                          if (tok[1] != last_transport_state) {
                              last_transport_state = tok[1];
                              document.getElementById("record-off").style.visibility = (last_transport_state & 4) ? "hidden" : "";
                              document.getElementById("record-on").style.visibility = (last_transport_state & 4) ? "visible" : "";
                          }
                          // if (tok[3] != last_repeat) {
                          //   last_repeat = tok[3];
                          //   document.getElementById("loop-off").style.visibility = (last_repeat>0) ? "hidden" : "";
                          //   document.getElementById("loop-on").style.visibility = (last_repeat>0) ? "visible" : "";
                          // }
                          var obj = document.getElementById("status");
                          if (obj) {
                              var tmp = "";
                              obj.style.color = "#f7ff45";
                              switch (parseInt(last_transport_state)) {
                                  case 0:
                                      tmp += "NOT RECORDING!!!: ";
                                      break;
                                  case 1:
                                      tmp += "NOT RECORDING!!!: ";
                                      break;
                                  case 2:
                                      tmp += "NOT RECORDING!!!: ";
                                      break;
                                  case 5:
                                      tmp += "Recording: ";
                                      obj.style.color = "#fff9fb";
                                      break;
                                  case 6:
                                      tmp += "NOT RECORDING!!!: ";
                                      break;
                              }

                              tmp += (last_time_str = tok[4]);
                              setTextForObject(obj, tmp);

                          }
                      }
                      break;
              }
          }
      }


      wwr_req_recur("TRANSPORT", 10);
      wwr_start();

      function updateOrientation() {
          var a = document.getElementById("viewport-meta");
          if (a) a.setAttribute("content", "width=320, user-scalable = no, minimum-scale = 1.0, maximum-scale = 1.0, initial-scale = 1.0");
      }


      function init() {
          updateOrientation();

      }


  </script>
  <meta name="apple-mobile-web-app-capable" content="yes">
  <meta name="viewport" id="viewport-meta" content=""/>
</head>
<body onLoad="init();">
<table class="btab">
  <tr>
    <td colspan=2 id="status" onClick="prompt_seek()">Initializing...</td>
  </tr>
</table>

<div class="transportdiv">
  <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"

       width="100%" height="100%" viewBox="0 160 250 400" preserveAspectRatio="none" style="max-width: calc(100vh * .9); display: inline-block;" xml:space="preserve">
<linearGradient id="SVGID_1_" gradientUnits="userSpaceOnUse" x1="0" y1="0" x2="6.123234e-17" y2="-1">
	<stop offset="0" style="stop-color:#FFFFFF;stop-opacity:0.25"/>
  <stop offset="1" style="stop-color:#FFFFFF"/>
</linearGradient>
    <g id="button-record">
  <g id="record-off" visibility="visible">
	<circle id="record-shadow" class="shadow" cx="50%" cy="72%" r="30%"/>
    <g>
		<path class="record_fill" d="M124,399c-61.2,0-111-49.8-111-111s49.8-111,111-111s111,49.8,111,111S185.2,399,124,399z"/>
      <path class="black_border" d="M124,178c60.8,0,110,49.2,110,110s-49.2,110-110,110S14,348.8,14,288S63.2,178,124,178 M124,176
			c-29.9,0-58,11.6-79.2,32.8S12,258.1,12,288s11.6,58,32.8,79.2S94.1,400,124,400s58-11.6,79.2-32.8S236,317.9,236,288

			s-11.6-58-32.8-79.2S153.9,176,124,176L124,176z"/>
	</g>
    <linearGradient id="SVGID_2_" gradientUnits="userSpaceOnUse" x1="124" y1="288" x2="124" y2="178">
		<stop offset="0" style="stop-color:#f5ff0b;stop-opacity:.01"/>
      <stop offset="1" style="stop-color:#f7ff45"/>
	</linearGradient>
    <path class="record_gloss" d="M234,288H14v0c0-60.8,49.2-110,110-110h0C184.8,178,234,227.2,234,288L234,288z"/>
    <circle class="record_icon" cx="50%" cy="72%" r="16%"/>
    <path class="mouseover" d="M124,399c-61.2,0-111-49.8-111-111s49.8-111,111-111s111,49.8,111,111S185.2,399,124,399z"/>
  </g>
      <g id="record-on" visibility="hidden">
	<g>
		<path d="M124,399c-61.2,0-111-49.8-111-111s49.8-111,111-111s111,49.8,111,111S185.2,399,124,399z">
			<animate
        attributeType="XML"
        attributeName="fill"
        values="#FF2200;#A81600;#FF2200;#FF2200"
        dur="6.8s"
        repeatCount="indefinite"/>
        </path>
    <path class="black_border" d="M124,178c60.8,0,110,49.2,110,110s-49.2,110-110,110S14,348.8,14,288S63.2,178,124,178 M124,176
			c-29.9,0-58,11.6-79.2,32.8S12,258.1,12,288s11.6,58,32.8,79.2S94.1,400,124,400s58-11.6,79.2-32.8S236,317.9,236,288

			s-11.6-58-32.8-79.2S153.9,176,124,176L124,176z"/>
	</g>
        <circle class="record_icon" cx="50%" cy="72%" r="53"/>
        <path class="mouseover" d="M124,399c-61.2,0-111-49.8-111-111s49.8-111,111-111s111,49.8,111,111S185.2,399,124,399z"/>
  </g>
</g>

</svg>

</div>

</body>
</html>
